aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteBucket

# Documentation

data DeleteBucket Source #

Constructors

DeleteBucket |

Fields

- dbBucket :: Bucket

#### Instances

Instances details

SignQuery DeleteBucket Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ServiceConfiguration DeleteBucket |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration

Methods

signQuery :: DeleteBucket -> ServiceConfiguration DeleteBucket queryType -> SignatureData -> SignedQuery Source #

Show DeleteBucket Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket Methods showsPrec :: Int -> DeleteBucket -> ShowS Source # show :: DeleteBucket -> String Source # showList :: [DeleteBucket] -> ShowS Source #
ResponseConsumer DeleteBucket DeleteBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ResponseMetadata DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse Source #

Transaction DeleteBucket DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
type ServiceConfiguration DeleteBucket Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration

data DeleteBucketResponse Source #

Constructors

DeleteBucketResponse |

#### Instances

Instances details

AsMemoryResponse DeleteBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type MemoryResponse DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse

Methods

loadToMemory :: DeleteBucketResponse -> ResourceT IO (MemoryResponse DeleteBucketResponse) Source #

Show DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket Methods showsPrec :: Int -> DeleteBucketResponse -> ShowS Source # show :: DeleteBucketResponse -> String Source # showList :: [DeleteBucketResponse] -> ShowS Source #
ResponseConsumer DeleteBucket DeleteBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type ResponseMetadata DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> DeleteBucket -> IORef (ResponseMetadata DeleteBucketResponse) -> HTTPResponseConsumer DeleteBucketResponse Source #

Transaction DeleteBucket DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
type MemoryResponse DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse
type ResponseMetadata DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata